## libcohttp-ocaml 0.11.2

=== Makefile ===
.PHONY: all clean install build
all: build test doc

PREFIX ?= /usr/local
NAME=cohttp

LWT ?= $(shell if ocamlfind query lwt >/dev/null 2>&1; then echo --enable-lwt; fi)
LWT_UNIX ?= $(shell if ocamlfind query lwt.ssl >/dev/null 2>&1; then echo --enable-lwt-unix; fi)
ASYNC ?= $(shell if ocamlfind query async >/dev/null 2>&1; then echo --enable-async; fi)
#NETTESTS ?= --enable-tests --enable-nettests

setup.bin: setup.ml
	ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	rm -f setup.cmx setup.cmi setup.o setup.cmo

setup.data: setup.bin
	./setup.bin -configure $(LWT) $(ASYNC) $(LWT_UNIX) $(TESTS) $(NETTESTS) --prefix $(PREFIX)

build: setup.data setup.bin
	./setup.bin -build -classic-display

doc: setup.data setup.bin
	./setup.bin -doc

install: setup.bin
	./setup.bin -install

test: setup.bin build
	./setup.bin -test

fulltest: setup.bin build
	./setup.bin -test

reinstall: setup.bin
	ocamlfind remove $(NAME) || true
	./setup.bin -reinstall

clean:
	ocamlbuild -clean
	rm -f setup.data setup.log setup.bin

=== debian/changelog ===
libcohttp-ocaml (0.11.2-1) UNRELEASED; urgency=low

  * Update to 0.11.2

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Fri, 06 Jun 2014 12:00:00 +0000

libcohttp-ocaml (0.9.8-2) UNRELEASED; urgency=low

  * Split files correctly between base and devel packages

 -- Euan Harris <euan.harris@citrix.com>  Fri, 30 May 2014 12:00:00 +0000

libcohttp-ocaml (0.9.8-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@eu.citrix.com>  Thu, 30 May 2013 12:00:00 +0000

=== debian/control ===
Source: libcohttp-ocaml
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libsexplib-camlp4-dev,
 ocaml-conduit-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 camlp4,
 python,
 debhelper (>= 8),
 liburi-ocaml-dev,
 camlp4-extra,
 ocaml-fieldslib-dev,
 ocaml-native-compilers,
 libounit-ocaml-dev,
 ocaml-stringext-dev,
 libssl-ocaml-dev,
 liblwt-ocaml-dev,
 ocaml-findlib,
 libre-ocaml-dev

Package: libcohttp-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: An HTTP library for OCaml
 An HTTP library for OCaml.

Package: libcohttp-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libcohttp-ocaml (>= 0.11.2-1),
 liblwt-ocaml-dev,
 libre-ocaml-dev,
 libssl-ocaml-dev,
 liburi-ocaml-dev,
 ocaml-stringext-dev,
 ocaml-conduit-dev,
 ocaml-fieldslib-dev,
 libsexplib-camlp4-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-cohttp
 The ocaml-cohttp-devel package contains libraries and signature files
 for developing applications that use ocaml-cohttp.

Package: ocaml-cohttp-bin
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Example binaries for ocaml-cohttp
 The ocaml-cohttp-bin package contains the compiled example files for
 ocaml-cohttp.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/libcohttp-ocaml/usr/lib/ocaml/cohttp/*.a
	rm -f debian/libcohttp-ocaml/usr/lib/ocaml/cohttp/*.cmxa
	rm -f debian/libcohttp-ocaml/usr/lib/ocaml/cohttp/*.cmx
	rm -f debian/libcohttp-ocaml/usr/lib/ocaml/cohttp/*.mli

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:
